package com.zehong.system.service.impl;

import com.zehong.system.domain.*;
import com.zehong.system.mapper.TStatisticsMapper;
import com.zehong.system.service.ITStatisticsService;
import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import java.util.List;

/**
 * @author geng
 * 统计
 */
@Service
public class ITStatisticsServiceImpl implements ITStatisticsService {

    @Resource
    private TStatisticsMapper tStatisticsMapper;

    /**
     * 项目交易收入
     * @param tTradeProject 交易实体
     * @return
     */
    @Override
    public List<TradeIncomeStatistics> tradeIncomeStatistics(TTradeProject tTradeProject) {
        return tStatisticsMapper.tradeIncomeStatistics(tTradeProject);
    }


    /**
     * 项目交易支出
     * @param tTradeProject 交易实体
     * @return
     */
    @Override
    public List<TradeExpensesStatistics> tradeExpensesStatistics(TTradeProject tTradeProject) {
        return tStatisticsMapper.tradeExpensesStatistics(tTradeProject);
    }

    /**
     * 借支
     * @param tBorrowingApplyFor 借支实体
     * @return
     */
    @Override
    public List<TBorrowingStatistics> borrowingStatistics(TBorrowingApplyFor tBorrowingApplyFor) {
        return tStatisticsMapper.borrowingStatistics(tBorrowingApplyFor);
    }

    /**
     * 采购统计
     * @param tPurchase  采购实体
     * @return
     */
    @Override
    public List<TPurchaseStatistics> purchaseStatistics(TPurchase tPurchase) {
        return tStatisticsMapper.purchaseStatistics(tPurchase);
    }
}
